diff -c -r skill-4.1.1/Config skill-4.1.2/Config
*** skill-4.1.1/Config	Fri May  3 22:08:23 2002
--- skill-4.1.2/Config	Wed Apr  6 19:45:04 2005
***************
*** 1,6 ****
  #!/bin/sh
  #
! #	$Id: Config,v 1.23 2002/05/04 02:08:13 forys Exp $
  #
  #	Config - edit skill Makefile filling in OSTYPE, COPTS, LIBS, and
  #		possibly BINGRP and BINMOD.
--- 1,6 ----
  #!/bin/sh
  #
! #	$Id: Config,v 1.24 2005/04/06 23:44:58 forys Exp $
  #
  #	Config - edit skill Makefile filling in OSTYPE, COPTS, LIBS, and
  #		possibly BINGRP and BINMOD.
***************
*** 42,47 ****
--- 42,50 ----
  	    AIX)
  		OS=aix3
  		;;
+ 	    CYGWIN*)
+ 		OS=cygwin1
+ 		;;
  	    Darwin)
  		OS=nbsd44
  		;;
***************
*** 276,281 ****
--- 279,288 ----
  	OSTYPE=nbsd-44
  	;;
  
+     cygwin*)
+ 	OSTYPE=linux-1
+ 	;;
+ 
      sos3)
  	OSTYPE=sunos-3
  	;;
***************
*** 293,299 ****
  	;;
  
      sos55)
! 	OSTYPE=sys-5r4 COPTS=-DSYSV_REGEX
  	;;
  
      dynix3)
--- 300,306 ----
  	;;
  
      sos55)
! 	OSTYPE=sys-5r4 COPTS=-DSYSV_REGEX BINGRP=bin
  	;;
  
      dynix3)
diff -c -r skill-4.1.1/Makefile skill-4.1.2/Makefile
*** skill-4.1.1/Makefile	Fri May  3 22:08:23 2002
--- skill-4.1.2/Makefile	Wed Apr  6 19:45:54 2005
***************
*** 1,5 ****
  #
! # $Id: Makefile,v 1.40 2002/05/04 02:08:13 forys Exp $
  #
  # First, find the CONFIGURE comments and set up the "BIN*" and "MAN*"
  # defines according to local customs.  Next, if your operating system
--- 1,5 ----
  #
! # $Id: Makefile,v 1.41 2005/04/06 23:45:35 forys Exp $
  #
  # First, find the CONFIGURE comments and set up the "BIN*" and "MAN*"
  # defines according to local customs.  Next, if your operating system
***************
*** 18,23 ****
--- 18,24 ----
  # Berkeley	4.3BSD		bsd-43		BINGRP=kmem BINMOD=2755
  # Berkeley	4.4BSD		bsd-44		LIBS=-lkvm (kmem/2755)
  # BSDI		2.1		bsd-44		LIBS=-lkvm (kmem/2755)
+ # Cygwin	1.5		linux-1
  # CMU		Mach 2.6	mach-26		LIBS=-lsys
  # CMU		Mach 3.0	mach-3		install setuid root
  # Compaq	Tru64 Unix	mach-3		install setuid root
***************
*** 52,58 ****
  # Sun		SunOS 4.0	sunos-40	LIBS=-lkvm
  # Sun		SunOS 4.1	sunos-41	LIBS=-lkvm
  # Sun		SunOS 5.1-4	sys-5r4
! # Sun		SunOS 5.5-8	sys-5r4		COPTS=-DSYSV_REGEX
  
  DESTDIR=
  SHELL=	/bin/sh
--- 53,59 ----
  # Sun		SunOS 4.0	sunos-40	LIBS=-lkvm
  # Sun		SunOS 4.1	sunos-41	LIBS=-lkvm
  # Sun		SunOS 5.1-4	sys-5r4
! # Sun		SunOS 5.5-10	sys-5r4		COPTS=-DSYSV_REGEX
  
  DESTDIR=
  SHELL=	/bin/sh
***************
*** 114,120 ****
  	./Config
  
  clean:
! 	rm -f skill snice *.o [Ee]rrs [Ii][Ee]rrs mklog a.out core getproc.c
  
  lint:	getproc.c
  	lint ${COPTS} ${SRCS} ${LIBS}
--- 115,121 ----
  	./Config
  
  clean:
! 	rm -f skill snice skill.exe snice.exe *.o getproc.c
  
  lint:	getproc.c
  	lint ${COPTS} ${SRCS} ${LIBS}
diff -c -r skill-4.1.1/README skill-4.1.2/README
*** skill-4.1.1/README	Tue Aug 19 13:18:36 2003
--- skill-4.1.2/README	Wed Apr  6 23:09:36 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 20,26 ****
  ** MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
  */
  
! $Id: README,v 1.52 2003/08/19 17:18:29 forys Exp $
  
  	`skill' is a program which sends signals to processes given
  any combination of user names, ttys, commands, and pids.  `snice' is
--- 20,26 ----
  ** MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
  */
  
! $Id: README,v 1.56 2005/04/07 03:09:32 forys Exp $
  
  	`skill' is a program which sends signals to processes given
  any combination of user names, ttys, commands, and pids.  `snice' is
***************
*** 38,50 ****
  	Apple Darwin 5.4
  	AT&T SysVR4, SysVR4.2, SysVR4.2MP
  	4.2BSD, 4.3BSD, 4.4BSD (and many PC variants)
  	Mach 2.6, 3.0
  	DEC Ultrix 2.2, 4.1-2
  	DEC AXP OSF/1
  	DEC/Compaq Tru64 Unix V3.2D-2, T3.2F-1, V4.0, V5.0-1B
  	Encore UMAX 4.2
! 	FreeBSD 2.0-2, 3.1, 4.4, 4.8, 5.0
! 	HP-UX 6.5, 7.0, 8.0, 9.0-5, 10.1-20, 11.0-22
  	IBM AIX 3.1-2, 4.1
  	IBM AOS 4.3
  	Linux 1.0-2, 2.1, 2.2, 2.4
--- 38,51 ----
  	Apple Darwin 5.4
  	AT&T SysVR4, SysVR4.2, SysVR4.2MP
  	4.2BSD, 4.3BSD, 4.4BSD (and many PC variants)
+ 	Cygwin 1.5 (uses Linux)
  	Mach 2.6, 3.0
  	DEC Ultrix 2.2, 4.1-2
  	DEC AXP OSF/1
  	DEC/Compaq Tru64 Unix V3.2D-2, T3.2F-1, V4.0, V5.0-1B
  	Encore UMAX 4.2
! 	FreeBSD 2.0-2, 3.1, 4.4-11, 5.0-3
! 	HP-UX 6.5, 7.0, 8.0, 9.0-5, 10.1-20, 11.0-23
  	IBM AIX 3.1-2, 4.1
  	IBM AOS 4.3
  	Linux 1.0-2, 2.1, 2.2, 2.4
***************
*** 56,62 ****
  	SCO UnixWare 7.0.1
  	SGI Irix 3.3, 4.0, 5.2, 5.3, 6.2, 6.5
  	Sequent Dynix 3.0-1
! 	SunOS 2, 3, 4.0-1, 5.1-8
  
  Consult the Makefile for more information on what needs to be done
  to make this program run under the aforementioned operating systems.
--- 57,63 ----
  	SCO UnixWare 7.0.1
  	SGI Irix 3.3, 4.0, 5.2, 5.3, 6.2, 6.5
  	Sequent Dynix 3.0-1
! 	SunOS 2, 3, 4.0-1, 5.1-10
  
  Consult the Makefile for more information on what needs to be done
  to make this program run under the aforementioned operating systems.
***************
*** 103,113 ****
  	lrwxrwxrwx  [...]    10 Feb 23 09:28 snice-sun4 -> skill-sun4*
  	lrwxrwxrwx  [...]    11 Feb 23 09:28 snice-sun4c -> skill-sun4c*
  	lrwxrwxrwx  [...]    11 Feb 23 09:28 snice-sun4m -> skill-sun4
! To allow sites the option of doing this, machine-dependent code should
! be written to use strstr() when checking the program name; the cost in
! execution time is certainly minimal.  However, as not all C-libraries
! provide strstr(), you may be able to do this only on the more recent
! operating systems (or, pick up a free copy of strstr() from somewhere).
  
  Porting this program to other operating systems can be trivial, or
  seemingly impossible.  If you plan on porting skill to your machine,
--- 104,112 ----
  	lrwxrwxrwx  [...]    10 Feb 23 09:28 snice-sun4 -> skill-sun4*
  	lrwxrwxrwx  [...]    11 Feb 23 09:28 snice-sun4c -> skill-sun4c*
  	lrwxrwxrwx  [...]    11 Feb 23 09:28 snice-sun4m -> skill-sun4
! To allow sites the option of doing this, the machine-dependent code
! for all current operating systems now uses strstr() when checking the
! program name; the cost in execution time is certainly minimal.
  
  Porting this program to other operating systems can be trivial, or
  seemingly impossible.  If you plan on porting skill to your machine,
***************
*** 173,183 ****
  launching a large program can cause "ps" to display invalid process
  information (since the OS may start paging process u-area's around).
  
! The latest release of skill/snice is available from ftp.flux.utah.edu
! [155.98.63.200] via anonymous ftp, in "~ftp/pub/skill".
  
  					Jeff Forys
! 					jeff@forys.cranbury.nj.us
  
  ===========================================================================
  The list of people who have contributed to this program continues to
--- 172,184 ----
  launching a large program can cause "ps" to display invalid process
  information (since the OS may start paging process u-area's around).
  
! The latest release of skill/snice is available from:
! 
!    ftp://ftp.flux.utah.edu/pub/skill
!    http://freshmeat.net/projects/skill
  
  					Jeff Forys
! 					jeffware@marjum.com
  
  ===========================================================================
  The list of people who have contributed to this program continues to
diff -c -r skill-4.1.1/argparse.c skill-4.1.2/argparse.c
*** skill-4.1.1/argparse.c	Mon Aug 18 20:36:54 2003
--- skill-4.1.2/argparse.c	Wed Apr  6 19:43:29 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 21,27 ****
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: argparse.c,v 1.15 2003/08/19 00:36:19 forys Exp $";
  #endif
  
  #define	NO_AEXTERN
--- 21,27 ----
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: argparse.c,v 1.17 2005/04/06 23:43:25 forys Exp $";
  #endif
  
  #define	NO_AEXTERN
***************
*** 61,67 ****
  	char *argv[];
  {
  	extern int atoi();
! 	extern char *calloc();
  	struct passwd *pp;
  	struct stat st;
  	int argcnt = argc;	/* saved so ALLOC() knows max mem to allocate */
--- 61,67 ----
  	char *argv[];
  {
  	extern int atoi();
! 	extern void *calloc();
  	struct passwd *pp;
  	struct stat st;
  	int argcnt = argc;	/* saved so ALLOC() knows max mem to allocate */
diff -c -r skill-4.1.1/conf.h skill-4.1.2/conf.h
*** skill-4.1.1/conf.h	Sun Apr  7 22:36:03 2002
--- skill-4.1.2/conf.h	Wed Apr  6 19:45:20 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 20,26 ****
  ** MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
  */
  
! /* $Id: conf.h,v 1.18 2002/04/08 02:35:49 forys Exp $ */
  
  #include <sys/param.h>
  #ifdef	NO_TYPES_INC		/* normally, <sys/param.h> includes this */
--- 20,26 ----
  ** MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
  */
  
! /* $Id: conf.h,v 1.20 2005/04/06 23:45:10 forys Exp $ */
  
  #include <sys/param.h>
  #ifdef	NO_TYPES_INC		/* normally, <sys/param.h> includes this */
diff -c -r skill-4.1.1/machdep/aix-3.c skill-4.1.2/machdep/aix-3.c
*** skill-4.1.1/machdep/aix-3.c	Thu Apr  4 23:17:20 2002
--- skill-4.1.2/machdep/aix-3.c	Wed Apr  6 19:49:34 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 21,27 ****
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: aix-3.c,v 1.7 2002/03/21 18:20:44 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
--- 21,27 ----
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: aix-3.c,v 1.9 2005/04/06 23:49:34 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
diff -c -r skill-4.1.1/machdep/aos-43.c skill-4.1.2/machdep/aos-43.c
*** skill-4.1.1/machdep/aos-43.c	Thu Apr  4 23:17:20 2002
--- skill-4.1.2/machdep/aos-43.c	Wed Apr  6 19:49:34 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 23,29 ****
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: aos-43.c,v 1.10 2002/03/21 18:20:44 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
--- 23,29 ----
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: aos-43.c,v 1.12 2005/04/06 23:49:34 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
diff -c -r skill-4.1.1/machdep/bsd-43.c skill-4.1.2/machdep/bsd-43.c
*** skill-4.1.1/machdep/bsd-43.c	Thu Apr  4 23:17:21 2002
--- skill-4.1.2/machdep/bsd-43.c	Wed Apr  6 19:49:34 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 21,27 ****
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: bsd-43.c,v 1.11 2002/03/21 18:20:41 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
--- 21,27 ----
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: bsd-43.c,v 1.13 2005/04/06 23:49:34 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
diff -c -r skill-4.1.1/machdep/bsd-44.c skill-4.1.2/machdep/bsd-44.c
*** skill-4.1.1/machdep/bsd-44.c	Thu Apr  4 23:17:21 2002
--- skill-4.1.2/machdep/bsd-44.c	Wed Apr  6 19:49:34 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 21,27 ****
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: bsd-44.c,v 1.17 2002/03/21 18:20:45 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
--- 21,27 ----
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: bsd-44.c,v 1.19 2005/04/06 23:49:34 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
diff -c -r skill-4.1.1/machdep/dynix-3.c skill-4.1.2/machdep/dynix-3.c
*** skill-4.1.1/machdep/dynix-3.c	Thu Apr  4 23:17:21 2002
--- skill-4.1.2/machdep/dynix-3.c	Wed Apr  6 19:49:34 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 23,29 ****
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: dynix-3.c,v 1.11 2002/03/21 18:20:42 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
--- 23,29 ----
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: dynix-3.c,v 1.13 2005/04/06 23:49:34 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
diff -c -r skill-4.1.1/machdep/hpux-10.c skill-4.1.2/machdep/hpux-10.c
*** skill-4.1.1/machdep/hpux-10.c	Thu Apr  4 23:17:21 2002
--- skill-4.1.2/machdep/hpux-10.c	Wed Apr  6 19:49:34 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 23,33 ****
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: hpux-10.c,v 1.7 2002/04/05 03:10:26 forys Exp $";
  #endif
  
  #define	_XPG4_EXTENDED
  
  #define	NO_MEXTERN
  #include "conf.h"
  #undef	NO_MEXTERN
--- 23,48 ----
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: hpux-10.c,v 1.11 2005/04/06 23:49:34 forys Exp $";
  #endif
  
  #define	_XPG4_EXTENDED
  
+ /* 3/22/05
+  *
+  * The 32-bit 'pst_status' struct returned by pstat_getproc(2) is not
+  * always large enough for 64-bit HP-UX values and the system call fails
+  * with errno set to EOVERFLOW.  The solution is to define _PSTAT64 to
+  * use the 64-bit sized structure.
+  *
+  * This change was tested on IA-64 superdome (11.23), PA-RISC 2.0 (11.11)
+  * and (32-bit) PA-RISC 1.1 (11.11).
+  *
+  * Thanks to Jerry Grooms <grooms@uky.edu> for finding this problem and
+  * for the resources to resolve it!
+  */
+ #define	_PSTAT64
+ 
  #define	NO_MEXTERN
  #include "conf.h"
  #undef	NO_MEXTERN
***************
*** 176,182 ****
  
  #include <sys/pstat.h>
  
! #define	PROCSLOP	32	/* additional process slots to alloc */
  
  /*
   * GetProc()
--- 191,197 ----
  
  #include <sys/pstat.h>
  
! #define	PROCSLOP	256	/* additional process slots to alloc */
  
  /*
   * GetProc()
***************
*** 211,218 ****
--- 226,243 ----
  			exit(2);
  		}
  		if ((pret=pstat_getproc(proclist,sizeof(*aproc),nprocs,0)) < 0){
+ #ifndef _PSTAT64
+ 			extern int errno;
+ 			int saverrno = errno;
+ #endif
  			fprintf(stderr, "%s: pstat_getproc: %s\n",
  				ProgName, SysErr());
+ #ifndef _PSTAT64
+ 			if (saverrno == 72)	/* EOVERFLOW tweak */
+ 				fprintf(stderr,
+ 					"%s: recompile with \"-D_PSTAT64\"\n",
+ 					ProgName);
+ #endif
  			exit(2);
  		}
  		aproc = proclist;
diff -c -r skill-4.1.1/machdep/hpux-70.c skill-4.1.2/machdep/hpux-70.c
*** skill-4.1.1/machdep/hpux-70.c	Thu Apr  4 23:17:21 2002
--- skill-4.1.2/machdep/hpux-70.c	Wed Apr  6 19:49:34 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 23,29 ****
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: hpux-70.c,v 1.11 2002/03/21 18:20:42 forys Exp $";
  #endif
  
  #define	WOPR	/* some headers do magic when this is defined */
--- 23,29 ----
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: hpux-70.c,v 1.13 2005/04/06 23:49:34 forys Exp $";
  #endif
  
  #define	WOPR	/* some headers do magic when this is defined */
diff -c -r skill-4.1.1/machdep/hpux-91.c skill-4.1.2/machdep/hpux-91.c
*** skill-4.1.1/machdep/hpux-91.c	Thu Apr  4 23:17:22 2002
--- skill-4.1.2/machdep/hpux-91.c	Wed Apr  6 19:49:34 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 23,29 ****
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: hpux-91.c,v 1.12 2002/03/21 18:20:42 forys Exp $";
  #endif
  
  #define	WOPR	/* some headers do magic when this is defined */
--- 23,29 ----
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: hpux-91.c,v 1.14 2005/04/06 23:49:34 forys Exp $";
  #endif
  
  #define	WOPR	/* some headers do magic when this is defined */
diff -c -r skill-4.1.1/machdep/irix-3.c skill-4.1.2/machdep/irix-3.c
*** skill-4.1.1/machdep/irix-3.c	Thu Apr  4 23:17:22 2002
--- skill-4.1.2/machdep/irix-3.c	Wed Apr  6 19:49:35 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 21,27 ****
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: irix-3.c,v 1.10 2002/03/21 18:20:42 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
--- 21,27 ----
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: irix-3.c,v 1.12 2005/04/06 23:49:35 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
diff -c -r skill-4.1.1/machdep/irix-4.c skill-4.1.2/machdep/irix-4.c
*** skill-4.1.1/machdep/irix-4.c	Thu Apr  4 23:17:22 2002
--- skill-4.1.2/machdep/irix-4.c	Wed Apr  6 19:49:35 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 21,27 ****
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: irix-4.c,v 1.8 2002/03/21 18:20:42 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
--- 21,27 ----
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: irix-4.c,v 1.10 2005/04/06 23:49:35 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
diff -c -r skill-4.1.1/machdep/irix-5.c skill-4.1.2/machdep/irix-5.c
*** skill-4.1.1/machdep/irix-5.c	Thu Apr  4 23:17:22 2002
--- skill-4.1.2/machdep/irix-5.c	Wed Apr  6 19:49:35 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 21,27 ****
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: irix-5.c,v 1.5 2002/03/21 18:20:42 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
--- 21,27 ----
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: irix-5.c,v 1.7 2005/04/06 23:49:35 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
diff -c -r skill-4.1.1/machdep/linux-1.c skill-4.1.2/machdep/linux-1.c
*** skill-4.1.1/machdep/linux-1.c	Thu Apr  4 23:17:22 2002
--- skill-4.1.2/machdep/linux-1.c	Wed Apr  6 19:49:35 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 23,29 ****
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: linux-1.c,v 1.12 2002/04/05 03:10:26 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
--- 23,29 ----
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: linux-1.c,v 1.15 2005/04/06 23:49:35 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
***************
*** 32,44 ****
--- 32,47 ----
  
  #include <sys/time.h>
  #include <sys/resource.h>	/* for [get|set]priority() */
+ #ifndef	__CYGWIN__
  #include <linux/fs.h>		/* for MINOR() macro */
+ #endif
  
  #include <dirent.h>
  #include <stdio.h>
  #include <stdlib.h>
  #include <unistd.h>
  #include <string.h>
+ #include <errno.h>
  
  extern int MissedProcCnt;
  
***************
*** 104,111 ****
--- 107,116 ----
  	 * If we are running as root, raise our priority to better
  	 * catch runaway processes.
  	 */
+ #ifndef	__CYGWIN__
  	if (MyUid == ROOTUID)
  		(void) setpriority(PRIO_PROCESS, MyPid, PRIO_MIN);
+ #endif
  
  	/*
  	 * Determine what we are doing to processes we find.  We will
***************
*** 118,127 ****
--- 123,137 ----
  	 * Initialize SigPri to either default signal (`skill') or
  	 * default priority (`snice').
  	 */
+ #ifndef	__CYGWIN__
  	PrioMin = PRIO_MIN;
  	PrioMax = PRIO_MAX;
+ #else
+ 	PrioMin = PrioMax = 0;
+ #endif
  	SigPri = Skill ? SIGTERM : 4;
  
+ #ifndef	__CYGWIN__
  	/*
  	 * chdir to `TtyDevDir' to speed up tty argument parsing.
  	 */
***************
*** 130,135 ****
--- 140,146 ----
  		        SysErr());
  		exit(EX_SERR);
  	}
+ #endif
  }
  
  /*
***************
*** 147,153 ****
--- 158,172 ----
  	if (Skill)
  		return(kill((int)pid, SigPri));
  	else
+ #ifndef	__CYGWIN__
  		return(setpriority(PRIO_PROCESS, (int)pid, SigPri));
+ #else
+ 		{
+ 			extern int errno;
+ 			errno = ENOSYS;
+ 			return -1;
+ 		}
+ #endif
  }
  
  /* OS supports POSIX-style regular expressions */
diff -c -r skill-4.1.1/machdep/mach-26.c skill-4.1.2/machdep/mach-26.c
*** skill-4.1.1/machdep/mach-26.c	Thu Apr  4 23:17:23 2002
--- skill-4.1.2/machdep/mach-26.c	Wed Apr  6 19:49:35 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 21,27 ****
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: mach-26.c,v 1.9 2002/03/21 18:20:43 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
--- 21,27 ----
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: mach-26.c,v 1.11 2005/04/06 23:49:35 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
diff -c -r skill-4.1.1/machdep/mach-3.c skill-4.1.2/machdep/mach-3.c
*** skill-4.1.1/machdep/mach-3.c	Thu Apr  4 23:17:23 2002
--- skill-4.1.2/machdep/mach-3.c	Wed Apr  6 19:49:35 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 21,27 ****
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: mach-3.c,v 1.7 2002/04/05 03:10:26 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
--- 21,27 ----
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: mach-3.c,v 1.9 2005/04/06 23:49:35 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
diff -c -r skill-4.1.1/machdep/nbsd-44.c skill-4.1.2/machdep/nbsd-44.c
*** skill-4.1.1/machdep/nbsd-44.c	Fri May  3 22:08:43 2002
--- skill-4.1.2/machdep/nbsd-44.c	Wed Apr  6 19:49:35 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 23,29 ****
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: nbsd-44.c,v 1.7 2002/05/04 02:08:34 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
--- 23,29 ----
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: nbsd-44.c,v 1.10 2005/04/06 23:49:35 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
***************
*** 184,199 ****
  	, "pagedaemon"
  
  #ifdef __FreeBSD__
- #if (__FreeBSD__ > 4)
- 	, "vmdaemon", "pagezero", "bufdaemon", "syncer", "vnlru"
- #else
  #if (__FreeBSD__ > 3)
  	, "vmdaemon", "bufdaemon", "syncer", "vnlru"
  #else
  	, "vmdaemon", "update"
  #endif
  #endif
- #endif
  
  #ifdef __NetBSD_Version__
  #if (__NetBSD_Version__ >= 105000000)
--- 184,195 ----
***************
*** 349,358 ****
--- 345,366 ----
  		procinfo.pi_tty = (tty_T) _PROC_TDEV(aproc);
  	}
  
+ #ifdef __FreeBSD__
+ # if (__FreeBSD__ > 4)
+ 	if (_PROC_PID(aproc) < 100)		/* special */
+ 		procinfo.pi_flags |= PI_ASKUSR;
+ # else
  	if (_PROC_PID(aproc) < pidmapsiz) {	/* special */
  		procinfo.pi_cmd = pidmap[_PROC_PID(aproc)];
  		procinfo.pi_flags |= PI_ASKUSR;
  	} else				 /* set path-stripped command name */
+ # endif
+ #else
+ 	if (_PROC_PID(aproc) < pidmapsiz) {	/* special */
+ 		procinfo.pi_cmd = pidmap[_PROC_PID(aproc)];
+ 		procinfo.pi_flags |= PI_ASKUSR;
+ 	} else				 /* set path-stripped command name */
+ #endif
  		SETCMD(procinfo.pi_cmd, _PROC_COMM(aproc), MAXCOMLEN)
  
  	nproc--;
diff -c -r skill-4.1.1/machdep/next-2.c skill-4.1.2/machdep/next-2.c
*** skill-4.1.1/machdep/next-2.c	Thu Apr  4 23:17:23 2002
--- skill-4.1.2/machdep/next-2.c	Wed Apr  6 19:49:35 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 23,29 ****
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: next-2.c,v 1.7 2002/03/21 18:20:42 forys Exp $";
  #endif
  
  #define NO_MEXTERN
--- 23,29 ----
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: next-2.c,v 1.9 2005/04/06 23:49:35 forys Exp $";
  #endif
  
  #define NO_MEXTERN
diff -c -r skill-4.1.1/machdep/osx-4.c skill-4.1.2/machdep/osx-4.c
*** skill-4.1.1/machdep/osx-4.c	Thu Apr  4 23:17:23 2002
--- skill-4.1.2/machdep/osx-4.c	Wed Apr  6 19:49:35 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 21,27 ****
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: osx-4.c,v 1.10 2002/03/21 18:20:43 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
--- 21,27 ----
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: osx-4.c,v 1.12 2005/04/06 23:49:35 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
diff -c -r skill-4.1.1/machdep/sunos-3.c skill-4.1.2/machdep/sunos-3.c
*** skill-4.1.1/machdep/sunos-3.c	Thu Apr  4 23:17:24 2002
--- skill-4.1.2/machdep/sunos-3.c	Wed Apr  6 19:49:35 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 21,27 ****
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: sunos-3.c,v 1.10 2002/03/21 18:20:43 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
--- 21,27 ----
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: sunos-3.c,v 1.12 2005/04/06 23:49:35 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
diff -c -r skill-4.1.1/machdep/sunos-40.c skill-4.1.2/machdep/sunos-40.c
*** skill-4.1.1/machdep/sunos-40.c	Thu Apr  4 23:17:24 2002
--- skill-4.1.2/machdep/sunos-40.c	Wed Apr  6 19:49:35 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 23,29 ****
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: sunos-40.c,v 1.10 2002/03/21 18:20:44 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
--- 23,29 ----
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: sunos-40.c,v 1.12 2005/04/06 23:49:35 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
diff -c -r skill-4.1.1/machdep/sunos-41.c skill-4.1.2/machdep/sunos-41.c
*** skill-4.1.1/machdep/sunos-41.c	Thu Apr  4 23:17:24 2002
--- skill-4.1.2/machdep/sunos-41.c	Wed Apr  6 19:49:35 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 23,29 ****
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: sunos-41.c,v 1.11 2002/03/21 18:20:44 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
--- 23,29 ----
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: sunos-41.c,v 1.13 2005/04/06 23:49:35 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
diff -c -r skill-4.1.1/machdep/sys-5r4.c skill-4.1.2/machdep/sys-5r4.c
*** skill-4.1.1/machdep/sys-5r4.c	Thu Apr  4 23:17:24 2002
--- skill-4.1.2/machdep/sys-5r4.c	Wed Apr  6 19:49:35 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 23,29 ****
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: sys-5r4.c,v 1.19 2002/04/05 03:10:26 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
--- 23,29 ----
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: sys-5r4.c,v 1.21 2005/04/06 23:49:35 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
diff -c -r skill-4.1.1/machdep/ultrix-22.c skill-4.1.2/machdep/ultrix-22.c
*** skill-4.1.1/machdep/ultrix-22.c	Thu Apr  4 23:17:24 2002
--- skill-4.1.2/machdep/ultrix-22.c	Wed Apr  6 19:49:35 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 21,27 ****
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: ultrix-22.c,v 1.10 2002/03/21 18:20:44 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
--- 21,27 ----
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: ultrix-22.c,v 1.12 2005/04/06 23:49:35 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
diff -c -r skill-4.1.1/machdep/ultrix-4.c skill-4.1.2/machdep/ultrix-4.c
*** skill-4.1.1/machdep/ultrix-4.c	Thu Apr  4 23:17:25 2002
--- skill-4.1.2/machdep/ultrix-4.c	Wed Apr  6 19:49:35 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 23,29 ****
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: ultrix-4.c,v 1.10 2002/03/21 18:20:44 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
--- 23,29 ----
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: ultrix-4.c,v 1.12 2005/04/06 23:49:35 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
diff -c -r skill-4.1.1/machdep/umax-42.c skill-4.1.2/machdep/umax-42.c
*** skill-4.1.1/machdep/umax-42.c	Thu Apr  4 23:17:25 2002
--- skill-4.1.2/machdep/umax-42.c	Wed Apr  6 19:49:35 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 21,27 ****
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: umax-42.c,v 1.6 2002/03/21 18:20:43 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
--- 21,27 ----
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: umax-42.c,v 1.8 2005/04/06 23:49:35 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
diff -c -r skill-4.1.1/machdep/umips-21.c skill-4.1.2/machdep/umips-21.c
*** skill-4.1.1/machdep/umips-21.c	Thu Apr  4 23:17:25 2002
--- skill-4.1.2/machdep/umips-21.c	Wed Apr  6 19:49:35 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 21,27 ****
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: umips-21.c,v 1.10 2002/03/21 18:20:44 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
--- 21,27 ----
  */
  
  #ifndef lint
! static char rcsid[] = "$Id: umips-21.c,v 1.12 2005/04/06 23:49:35 forys Exp $";
  #endif
  
  #define	NO_MEXTERN
diff -c -r skill-4.1.1/main.c skill-4.1.2/main.c
*** skill-4.1.1/main.c	Mon Aug 18 20:36:08 2003
--- skill-4.1.2/main.c	Wed Apr  6 19:43:13 2005
***************
*** 1,6 ****
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  /*
  ** Copyright (c) 1986, 1994, 1996, 2000, 2002
! **	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  **
  ** Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
--- 11,17 ----
  ** and/or other materials provided with the distribution, (3) All
  ** advertising materials mentioning features or use of this software
  ** must display the following acknowledgment: ``This product includes
! ** software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  ** The name of the author may not be used to endorse or promote products
  ** derived from this software without specific prior written permission.
  **
***************
*** 24,43 ****
   * skill - send signals to processes by tty, user name, command or proc id.
   * snice - reprioritize processes by tty, user name, command or proc id.
   *
!  * Version 4.1.1
   */
  
  #ifndef lint
! static char rcsid[] = "$Id: main.c,v 1.37 2003/08/19 00:36:02 forys Exp $";
  /*
   * SCCS version release number is manually updated (for what(1), etc).
!  * If you use SCCS, please use last extension for version (e.g. "4.1.1.1").
   */
  static char sccsid[] = 
! 	"@(#)skill	4.1.1.0 (jeff@forys.cranbury.nj.us) 08/18/03";
  #endif
  
! const char *Version = "4.1.1 20030818";
  
  const char *CopyrightVersion = "%s %s\n\nCopyright (c) 1986, 1994, 1996, 2000, 2002 Jeff Forys.  All rights reserved.\n\nRedistribution and use in source and binary forms, with or without\nmodification, is permitted under the terms specified in the source\ncode (and manual pages).\n";
  
--- 24,43 ----
   * skill - send signals to processes by tty, user name, command or proc id.
   * snice - reprioritize processes by tty, user name, command or proc id.
   *
!  * Version 4.1.2
   */
  
  #ifndef lint
! static char rcsid[] = "$Id: main.c,v 1.40 2005/04/06 23:42:48 forys Exp $";
  /*
   * SCCS version release number is manually updated (for what(1), etc).
!  * If you use SCCS, please use last extension for version (e.g. "4.1.2.1").
   */
  static char sccsid[] = 
! 	"@(#)skill	4.1.2.0 (jeffware@marjum.com) 04/06/05";
  #endif
  
! const char *Version = "4.1.2 20050406";
  
  const char *CopyrightVersion = "%s %s\n\nCopyright (c) 1986, 1994, 1996, 2000, 2002 Jeff Forys.  All rights reserved.\n\nRedistribution and use in source and binary forms, with or without\nmodification, is permitted under the terms specified in the source\ncode (and manual pages).\n";
  
***************
*** 291,297 ****
  	switch (error) {
  	    case E_USAGE:
  		fprintf(stderr,
! 		        "Usage: %s [%s] [-ivfwn] {<tty> <user> <pid> <cmd>}\n",
  		        ProgName, Skill? "-<signal>": "(+|-)<priority>");
  		break;
  	    case E_PRIOR:	/* unused... remains for posterity? */
--- 291,297 ----
  	switch (error) {
  	    case E_USAGE:
  		fprintf(stderr,
! 		        "Usage: %s [%s] [-afinvw] {<tty> <user> <pid> <cmd>}\n",
  		        ProgName, Skill? "-<signal>": "(+|-)<priority>");
  		break;
  	    case E_PRIOR:	/* unused... remains for posterity? */
diff -c -r skill-4.1.1/skill.1 skill-4.1.2/skill.1
*** skill-4.1.1/skill.1	Mon Aug 18 20:37:24 2003
--- skill-4.1.2/skill.1	Wed Apr  6 19:43:51 2005
***************
*** 1,6 ****
  .\"
  .\" Copyright (c) 1986, 1994, 1996, 2000, 2002
! .\"	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
  .\"
  .\" Redistribution and use in source and binary forms, with or without
  .\" modification, are permitted provided that: (1) Redistributions of
--- 1,6 ----
  .\"
  .\" Copyright (c) 1986, 1994, 1996, 2000, 2002
! .\"	Jeff Forys (jeffware@marjum.com).  All rights reserved.
  .\"
  .\" Redistribution and use in source and binary forms, with or without
  .\" modification, are permitted provided that: (1) Redistributions of
***************
*** 11,17 ****
  .\" and/or other materials provided with the distribution, (3) All
  .\" advertising materials mentioning features or use of this software
  .\" must display the following acknowledgment: ``This product includes
! .\" software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
  .\" The name of the author may not be used to endorse or promote products
  .\" derived from this software without specific prior written permission.
  .\"
--- 11,17 ----
  .\" and/or other materials provided with the distribution, (3) All
  .\" advertising materials mentioning features or use of this software
  .\" must display the following acknowledgment: ``This product includes
! .\" software developed by Jeff Forys (jeffware@marjum.com).'', (4)
  .\" The name of the author may not be used to endorse or promote products
  .\" derived from this software without specific prior written permission.
  .\"
***************
*** 19,30 ****
  .\" WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
  .\" MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
  .\"
! .\" $Id: skill.1,v 1.19 2003/08/19 00:37:02 forys Exp $
  .\"
  .\" skill - send signals to processes by tty, user name, command or proc id.
  .\" skill - reprioritize processes by tty, user name, command or proc id.
  .\"
! .TH SKILL 1 "August 18, 2003" "" "Local UNIX Programmer's Manual"
  .UC 4
  .SH NAME
  skill, snice \- signal or reprioritize specified processes
--- 19,30 ----
  .\" WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
  .\" MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
  .\"
! .\" $Id: skill.1,v 1.21 2005/04/06 23:43:34 forys Exp $
  .\"
  .\" skill - send signals to processes by tty, user name, command or proc id.
  .\" skill - reprioritize processes by tty, user name, command or proc id.
  .\"
! .TH SKILL 1 "April 6, 2005" "" "Local UNIX Programmer's Manual"
  .UC 4
  .SH NAME
  skill, snice \- signal or reprioritize specified processes
